# Loki::CheckForEquality< Host > Class Template Reference

`#include <Checker.h>`

List of all members.

## Detailed Description

### template<class Host>
class Loki::CheckForEquality< Host >

Exception Safety Level:
  This exception-checking policy class for ContractChecker asserts if a copy of the host differs from the host object regardless of whether an exception occurs. Host classes can use this policy to show which member functions never change data members, and thereby provide the strong exception safety level by default.

Requirements For Host Class:
  This policy requires hosts to provide both the copy-constructor and the equality operator, and is intended for classes with value semantics.

The documentation for this class was generated from the following file:

- Checker.h